﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.ComponentModel;
using System.Linq;
using System.Text;

namespace DataGridTest
{
    public class Model : INotifyPropertyChanged
    {
        private string header {get;set;}
        private ObservableCollection<double> data = new ObservableCollection<double>();
        public event PropertyChangedEventHandler PropertyChanged;

        public string Header
        {
            get
            {
                return header;
            }

            set
            {
                header = value;
                onPropertyChanged("Header");
            }
        }

        public ObservableCollection<double> Data
        {
            get
            {
                return data;
            }

            set
            {
                data = value;
                onPropertyChanged("Data");
            }
        }

        public void onPropertyChanged(string propertyChanged)
        {
            if (PropertyChanged != null)
            {
                PropertyChanged(this, new PropertyChangedEventArgs(propertyChanged));
            }

        }
    }
}
